Bug 231931 - Compiler Seg faults
Compiler Seg faults
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gcc34 (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-12 22:06 EDT by jt
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-13 03:41:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Preprocessed source that generates seg fault (222.28 KB, text/plain)
2007-03-12 22:07 EDT, jt
no flags Details

  None (edit)
Description jt 2007-03-12 22:06:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.2) Gecko/20070219 Firefox/2.0.0.2

Description of problem:
Compiler Seg faults compiling binutils-2.17.50-20060824-1-src.tar.gz


gcc -c -DHAVE_CONFIG_H -g -O2 -I. -I../../libiberty/../include  -W -Wall -pedantic -Wwrite-strings -Wstrict-prototypes ../../libiberty/regex.c -o regex.o
../../libiberty/regex.c: In function `byte_re_match_2_internal':
../../libiberty/regex.c:7085: internal compiler error: Segmentation fault



Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1.Un pack the above package 
2../configure 
3.make


Actual Results:
-bash-3.00$ g++ -v
Reading specs from /usr/lib/gcc/i386-redhat-linux/3.4.6/specs
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --enable-shared --enable-threads=posix --disabl
le-libunwind-exceptions --enable-java-awt=gtk --host=i386-redhat-linux
Thread model: posix
gcc version 3.4.6 20060404 (Red Hat 3.4.6-3)


The above segfaulted with internal compiler error

Expected Results:
It should have properly built bunutils


Additional info:
i686 i686 i386 GNU/Linux

SMP kernel
Comment 1 jt 2007-03-12 22:07:57 EDT
Created attachment 149894 [details]
Preprocessed source that generates seg  fault
Comment 2 jt 2007-03-12 22:11:42 EDT
(In reply to comment #0)
> From Bugzilla Helper:
> User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.2)
Gecko/20070219 Firefox/2.0.0.2
> 
> Description of problem:
> Compiler Seg faults compiling binutils-2.17.50-20060824-1-src.tar.gz
> 
> 
> gcc -c -DHAVE_CONFIG_H -g -O2 -I. -I../../libiberty/../include  -W -Wall
-pedantic -Wwrite-strings -Wstrict-prototypes ../../libiberty/regex.c -o regex.o
> ../../libiberty/regex.c: In function `byte_re_match_2_internal':
> ../../libiberty/regex.c:7085: internal compiler error: Segmentation fault
> 
> 
> 
> Version-Release number of selected component (if applicable):
> 
> 
> How reproducible:
> Always
> 
> 
> Steps to Reproduce:
> 1.Un pack the above package 
> 2../configure 
> 3.make
> 
> 
> Actual Results:
> -bash-3.00$ g++ -v
> Reading specs from /usr/lib/gcc/i386-redhat-linux/3.4.6/specs
> Configured with: ../configure --prefix=/usr --mandir=/usr/share/man
--infodir=/usr/share/info --enable-shared --enable-threads=posix --disabl
> le-libunwind-exceptions --enable-java-awt=gtk --host=i386-redhat-linux
> Thread model: posix
> gcc version 3.4.6 20060404 (Red Hat 3.4.6-3)
> 
> 
> The above segfaulted with internal compiler error
> 
> Expected Results:
> It should have properly built binutils
> 
> 
> Additional info:
> i686 i686 i386 GNU/Linux
> 
> SMP kernel

Comment 3 Jakub Jelinek 2007-03-13 03:41:15 EDT
FC4 (not supported any longer) never shipped gcc 3.4.x.  I have tried to
reproduce this in RHEL4 with gcc-3.4.6-3 and gcc-3.4.6-8 and both compile
this just fine.

Note You need to log in before you can comment on or make changes to this bug.